%define module_name Alien-Graphene
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Download/GitHub.pm) perl(Alien/Build/Plugin/Gather/Dino.pm) perl(Alien/Role/Dino.pm) perl(Class/Method/Modifiers.pm) perl(Devel/FindPerl.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Role/Tiny/With.pm) perl(Test/Alien.pm) perl(Test2/V0.pm) perl(base.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm) pkgconfig(graphene-gobject-1.0)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt2
Summary: Alien package for the Graphene graphics math library
Group: Development/Perl
License: perl
URL: https://github.com/PerlGfx/p5-Alien-Graphene

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZM/ZMUGHAL/%{module_name}-%{version}.tar.gz

%description
This archive contains the distribution Alien-Graphene,

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.005-alt2
- rebuild with perl 5.38

* Mon Dec 19 2022 Igor Vlasenko <viy@altlinux.org> 0.005-alt1
- updated by package builder

* Thu Dec 09 2021 Igor Vlasenko <viy@altlinux.org> 0.004-alt1
- initial import by package builder

